> For the complete documentation index, see [llms.txt](https://docs.centic.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.centic.io/our-products-and-services/entity-oriented-api/token.md).

# Token

## Get recent activities

This API is to request the activities informations of token.

Includes transactions and transfers within the transaction.

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/common/activities" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get overall analytics

This API is to get the overall analytics. You can request the token ID and Chain ID get overall analytics

The returned data includes:

* Wallet address
* Return total asset in the last 7 days and the time you query
* The rate of change in assets of the following day compared to the previous day
* Cumulative profit and loss in the last 7 days
* Daily profit and loss in last 7 days
* Daily active user
* Daily active users change rate
* Daily transfers
* Daily transfers change Rate
* MarketCap
* MarketCap change rate
* TradingVolume
* TradingVolume change rate
* greatEvents: List of great event sorted in descending order by amount
* liquidityPairs: List of liquidity pair sorted in descending order by liquidity
* exchanges: List of exchange sorted in descending order by volume

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/common/analytics" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get introduction of token

This API is to request the introduction of the token.

The returned data includes:

* List of active chain and address of token on this chain
* socialAccounts
* tokenHealth
* price
* price change rate

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/common/introduction" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get the list of tokens

This API is to request the list of tokens sorted in descending order by tokenHealth.

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/ranking/tokens" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get trending token

This API is to request the list of trending tokens sorted in descending order by tradingVolumeChangeRate.

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/recommend/trending/assets" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}

## Get token overview

This API to get token overview.&#x20;

Includes number of holders, markets informations.

{% openapi src="/files/vEyfW0UUhDNGCCoB5xVh" path="/v3/tokens/{token\_id}/overview" method="get" %}
[openapi.json](https://400735876-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX3h8aoMOs3ryNyWTDiM2%2Fuploads%2FRE8IYL91uHQenRtgjKlX%2Fopenapi.json?alt=media\&token=6a71bc17-2bf7-451a-b538-a3ef42cbbeed)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.centic.io/our-products-and-services/entity-oriented-api/token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
